%define project	KDocker

Name:		kdocker
Version:	6.0
Release:	%mkrel 1
Summary:	Dock any application in the system tray
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://github.com/user-none/KDocker
Source0:	https://github.com/user-none/KDocker/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xpm)

%description
%{project} will help you dock any application in the system tray. This means you
can dock OpenOffice, XMMS, Firefox, Thunderbolt, Eclipse, anything! Just point
and click. Works for LXQT/KDE and GTK/GNOME (In fact it should work for most
modern window managers that support NET WM Specification for instance).

All you need to do is start %{project} and select an application using the mouse
and lo! the application gets docked into the system tray. The application can
also be made to disappear from the task bar.


%prep
%autosetup -p1 -n %{project}-%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/com.kdocker.KDocker.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_metainfodir}/com.kdocker.KDocker.metainfo.xml
%{_iconsdir}/hicolor/*/apps/com.kdocker.KDocker.png
%{_iconsdir}/hicolor/scalable/apps/com.kdocker.KDocker.svg
%{_datadir}/dbus-1/interfaces/com.kdocker.KDocker.xml
%{_datadir}/dbus-1/services/com.kdocker.KDocker.service
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Sep 14 2024 daviddavid <daviddavid> 6.0-1.mga10
+ Revision: 2096004
- new version: 6.0
- switch to Qt6 and cmake build system

* Sun Aug 18 2024 daviddavid <daviddavid> 5.5-1.mga10
+ Revision: 2086913
- new version: 5.5

* Sun Sep 11 2022 neoclust <neoclust> 5.4-1.mga9
+ Revision: 1886913
- New version 	5.4

* Tue Apr 05 2022 umeabot <umeabot> 5.3-3.mga9
+ Revision: 1844323
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 5.3-2.mga8
+ Revision: 1658687
- Rebuild for new Qt5

* Thu Mar 19 2020 daviddavid <daviddavid> 5.3-1.mga8
+ Revision: 1557920
- new version: 5.3

* Sat Feb 15 2020 daviddavid <daviddavid> 5.2-4.mga8
+ Revision: 1525783
- add upstream patch to fix build with Qt 5.14
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 5.2-3.mga7
+ Revision: 1382342
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5.2-2.mga7
+ Revision: 1298513
- Mageia 7 Mass Rebuild

* Fri Jul 27 2018 daviddavid <daviddavid> 5.2-1.mga7
+ Revision: 1245576
- new version: 5.2

* Wed Feb 21 2018 daviddavid <daviddavid> 5.1-1.mga7
+ Revision: 1203870
- new version: 5.1

* Mon May 23 2016 daviddavid <daviddavid> 5.0-1.mga6
+ Revision: 1018035
- imported package kdocker (based on fedora)

